Contents

 Contents zip package:
- readme.txt: basic info
- install.txt: install and removal info
- advercount.exe: the unregistered executable
- advercount.chm: the help-file including the manual
- advercount.ico: icon file
- several txt-files including all kinds of help, which are included in the ".chm" file too.


Introducing Advercount

 If we would describe Advercount in one short line then it would be:
It is a program to count words and characters and to replace delimiters.

Anyone who has a product and want to advertise for it, has to describe it by providing keywords and descriptions. The advertising location or environment poses in many occasions some strict limits or conditions. For instance keywords have to be separated by commas or spaces; one keyword only is admitted per line; keywords are limited to a certain number of words; descriptions are limited to a certain number of characters and so one... .
This is a handy tool for optimizing your product data.
It is especially made for anyone who is tired of counting words and characters, or for anyone who has manually to eliminate or insert spaces or commas or enters... .


Requirements

 Software requirements are low. It should suffy you have Windows 95 or higher. All higher versions of Windows should be compatible.
Remark that Win95, Win98 and WinMe can load up to 32kb files in a panel while NT, 2000, XP can load much more (MBs).
Hardware requirements are nihil; the slowest Pentium will be more than enough and the needed hard disk free space is about 1MB only... .


Install/Remove

  • Unregistered version
    There is an automatic installation available. Just follow the instructions during install. An icon will be placed on your desktop + it will be added to the Windows start menu. (Remark that the installer could say there is 2048MB free while there is even more free space... just ignore that)

    If install fails for some reason then you can also manually put all the files from the zip-file (see website) into one directory, for instance: c:\Program Files\Advercount and then run advercount.exe.

  • Registered version
    Simply replace the old advercount.exe (not the installer!) with the one you got by E-mail.
Always keep files together in the installation directory.

To remove the software, use the uninstall option, available via for instance the Windows start menu. Please remove manually eventual remaining files like *.ini and *.his files and then remove eventually the empty directory.


How it works - short

1. Check the options and set them as preferred.
2. Either open a text-file or paste a text or create a text in panel 1.
3. Execute one of the main tasks by hitting the count or convert button!


File

 After clicking on "File..." you find a sub-menu.
  • Open...
    Here you can browse for a text file, or select one in the history list. The text will be loaded into panel 1.

  • Open last
    If you use always the same file then you can open it quickly here.

  • Panel 1 Save as... Select a file name or type it in (including '.txt'), in order to save the contents of panel 1 to it.

  • Panel 2 Save as... Select a file name or type it in (including '.txt'), in order to save the contents of panel 2 to it.


Main

  • Count
    Count the words and characters in panel 1.

  • Convert
    Convert from panel 1 to panel 2 and/or from panel 1 to 3, as set in options. That means that panel 1 is always the source and that the text including the replacements is put in the 2nd and 3rd destination panels.


Edit.

 Copy, cut, paste are well-known tools to edit the data in the panels.
Use crop to remove everything from a panel except the selected text.


Options

  • Work folder
    To save time you can let the program remember what folder you usually use for the text files. It will be the default for open and save actions.

  • Wrap lines
    Set this to wrap lines in all the panels. If you prefer no wrapping then the horizontal scrollbars will appear automatically.

  • Count...
    There will pop up a dialog box in which you can choose between counting all words or counting a specific word. This setting will change the main view of the program accordingly.
    If wished you can also let the computer count constantly while you type. Will work with most computers but could be annoying for some people using a slow computer. Just set like preferred.

  • Convert...
    There will pop up a dialog box in which you can enter delimiters for (key)words.
    - You can enter up to 2 characters in one field
    - Next to the edit boxes a small explanation will appear as you type
    - You can convert from panel 1 to 2 and from panel 1 to 3 at the same time
    - Enter nothing in a from box if you don't want do convert anything
    - Tip: hit 'enter' while you are in an edit box, to enter an enter (yes, to enter a 'return')


Extra

  • Find...
    Will find words and characters in active panel.
  • Replace...
    Will find and/or replace words and characters in active panel.


Panels

  • Panel 1
    This is the panel in which text is brought at the start of an action. It's countable, saveable and source for convertions

  • Panel 2
    The panel in which converted text is put after you hit 'convert'. It's saveable and first destination for convertions

  • Panel 3
    You can see this as a help panel, or an extra panel in which converted text is put after you hit 'convert' (see options). It's a second destination for convertions. This way you can do 2 convertions you often do at the same time!

  • Number buttons: switching panels
    Hit for instance number 2 on panel 1 to switch panel 2 to panel 1.

  • Number buttons: joining panels
    Hold SHIFT key while you hit for instance number 2 on panel 1 to add panel 2 to the bottom of panel 1. Can be handy if you want to save 2 or 3 panels into one file.

Remark: in Win95/98/Me, one panel can contain up to 32k information or 32768 bytes. This should suffy for the main purposes of the program, which is optimizing keywords and descriptions of a product. NT/2000/XP can contain megabytes of information (quasi unlimited).
Avoid loading binary files into a panel.


Agreement

 Using this software supposes you understand and agree with this: There is a non-registered version of the program which can be distributed freely but which includes some limitations. All features can and should be tested by the user before he decides to buy the other, registered version. Registered program may not be spread and will include some of the user info. This is relatively small and low cost software which causes that it is difficult to give lots of user support. Eventual questions, complaints etc... can be sent, but only by E-mail. There is no guarantee when and if there will be a reaction; normally however you get a reaction within one day. This depends on importancy level and time availability. Follow instructions in documentation carefully and always check our website for the most recent information.
Shareware Hangvogel is not responsible for any harm caused by this program in a direct or indirect manner. Using the program is accepting this statement.


Shareware Hangvogel - contact info

 Normally all info should be available on the website.
Website: http://hangvogel.fly.to
Online meetings: see website
E-mail: hangvogel@pandora.be
Emergency E-mail (use only when problems with above E-mail): hangvogel@yahoo.com


Languages (Français, Deutsch, Nederlands...)

 The program is only available in English and there are no plans to change this in near future.
What concerns the documentation however, it is certainly possible that translations will be available on website in future.

FRANCAIS: Il y a une chance que de la documentation sera disponible en français. Questions peuvent être posées en français.
DEUTSCH: Es ist möglich dass Dokumentation verfügbar wird in Deutsch. Fragen können sie auch stellen in Deutsch.
NEDERLANDS: Er is een kans dat documentatie beschikbaar wordt in het Nederlands. Vragen kunnen ook in het Nederlands gesteld worden.

At the time this is written there is even an online site translator (draft) accessible via our website for languages like French, German, Italian, Japanese, Korean, Portuguese and Spanish.


Register

 To register, simply go to our website and look for a register link. Then just follow instructions.
At the moment this is written we work with an intermediate company who is specialized in E-commerce solutions. They accept several payment methods like snail-mail, fax, phone and online with VISA.
The price will include the fee for intermediate company. Intermediate compan(y)(ie)s, prices and number of currencies can change in future.

Once registration accepted you will get your personal, registered, executable file of the last known version of this program by E-mail. Simply replace unregistered file by the registered file in the installation directory. Please visit our website for mor info.


Updates

 Every registered user has the right to ask for a free update (if available) per email. This is only valid however for users who registered during the period this is mentioned on website. This way of working can change in future. Registered users are kept in database and have a reasonable chance that sooner or later all updates will be cheaper for them or even completely free. Eventual updated documentation will always be free and downloadable. Please check website.

Version history:
version 1.0, released August 2004
version 1.1, released February 2005:
- better use of work area at high resolutions
- small improvements
version 2.0, released October 2005:
- option added: count specific words